This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 698591 - Can not store preferences
Can not store preferences
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta2
Unspecified Unspecified
urgent Severity high (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq4 jon3-sprint1 715334
  Show dependency treegraph
 
Reported: 2011-04-21 06:26 EDT by Heiko W. Rupp
Modified: 2013-09-02 03:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:22:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Stack traces from server log (123.77 KB, application/octet-stream)
2011-04-21 06:26 EDT, Heiko W. Rupp
no flags Details

  None (edit)
Description Heiko W. Rupp 2011-04-21 06:26:13 EDT
Created attachment 493783 [details]
Stack traces from server log

I often get, when clicking through the UI at some point a red bar "Can not store preference"

Stacktrace is attached.

It does not seem to have a direct consequence on anything.
Comment 1 John Mazzitelli 2011-04-21 11:09:31 EDT
I too have seen this myself - unknown what causes it but I think I've seen it when I resize the global dashboard's columns.
Comment 2 Ian Springer 2011-04-21 16:45:17 EDT
Note, the exact message printed in the GUI is "Cannot store preferences", which is output by UserPreferences class if it fails to persist an updated preference.
Comment 3 Jay Shaughnessy 2011-08-10 16:41:54 EDT
I think I have fixed this annoying problem.  It stems, I think, from the fact that we initiate two async requests when updating a preference and it seems to sometimes mess things up at the slsb layer when the operations collide.

I've fixed that problem so we now initiate only one preference update. Hopefully this will eliminate the issue.

It is most prevalent when navigating resource nodes of a tree as that updates the 'recently visited resource' pref for the user. But it could happen when updating any preference, favorites, metric stuff, etc.

I have it fixed in Drift.  After running with it for a while I'll move to master if it looks good.
Comment 4 Jay Shaughnessy 2011-08-17 10:57:23 EDT
Master commit: 750b70e3f7788e26e4cde01214592fbf8146ee39

Not too easy to reproduce, often I found it happening with a new db, light load, first time navigating around a res tree.
Comment 5 Mike Foley 2011-08-17 16:37:06 EDT
verified 8/17 by quick-clicking
Comment 6 Heiko W. Rupp 2013-09-02 03:22:03 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.